Subject: Re: bug#8989: keymap text property applies beyond the region it is set to

From: Dmitry Kurochkin <[email-masked]>
Date: Mon, 04 Jul 2011 01:47:46 +0400

On Sun, 03 Jul 2011 10:57:51 -0400, Stefan Monnier <[email-masked]> wrote:
> tags 8989 +notabug
> thanks
> 
> > When keymap text property is set, it changes key binding for one
> > character after the region it is set to.  The following code
> > demonstrates the problem:
> 
> No: in your case, the text property covers characters between positions
> 1 to 4, and point is at position 4 (right in front of the char at
> position 4 and right after the char at position 3), i.e. right on the
> boundary of the text-property.  When on the boundary, the behavior will
> depend on whether the property is sticky or not, so you can control it
> by twiddling the "front-advance, read-advance" settings of your overlays
> or the rear-non-stick and front-sticky text-properties.
> 

Stefan, thank you for the explanation and sorry for a false but report!

Regards,
  Dmitry

>         Stefan